comment "aircraft_ammo_states.sqf
	 Returns array of vehicles with a triple of bomb count, atgm count, cannon rounds, aa missile count.
	 Thus: [[vehicle1, bombcount1, atgmcount1, cannonround1, aamcount1], [vehicle2, bombcount2, atgmcount2, cannonround2, aamcount2]]
	 use: ammo_state = vechiles call air_to_ground_ammo.sqf
	 www.plannedassault.com - William van der Sterren
	";
private ["_script", "_debug", "_aircraft", "_attacker", "_states", "_bombs", "_atgms", "_shells", "_aamissiles",
		 "_bomb_launchers", "_rocket_launchers", "_cannons", "_aa_weapons", "_machine_guns"	
        ];
_script    = "aircraft_ammo_states.sqf";
_aircraft  = _this select 0;
_debug  = 0;

if (_debug == 1) then {player sidechat (format["[%2] exec '%1'", _script, _aircraft]);};

comment "http://community.bistudio.com/wiki/ArmA_2:_Weapons";
_bomb_launchers   = [
                     "BombLauncher", 
					 "BombLauncherA10", 
					 "BombLauncherF35", 
					 "AirBombLauncher", 
                     "HeliBombLauncher", 
					 "Mk82BombLauncher", 
					 "Mk82BombLauncher_6",
					 "CamelGrenades"
					];
_rocket_launchers = [
					 "57mmLauncher", 
					 "57mmLauncher_64", 
					 "57mmLauncher_128", 
					 "80mmLauncher",
					 "AT2Launcher", 
					 "AT6Launcher", 
					 "AT9Launcher", 
					 "Ch29Launcher", 
					 "Ch29Launcher_Su34",
					 "FFARLauncher",
					 "FFARLauncher_14",
					 "HellfireLauncher",
					 "MaverickLauncher",
					 "S8Launcher",
					 "VikhrLauncher"
					];
_cannons          = [
					 "GAU8", 
					 "GAU12", 
					 "GSh301", 
					 "GSh302", 
					 "2A42",
					 "M197"
					];
_aa_weapons      = [
					 "R73Launcher",
					 "R73Launcher_2",
					 "SidewinderLaucher",
					 "SidewinderLaucher_AH1Z",
					 "SidewinderLaucher_F35"
					];
_machine_guns     = [
					 "M134",
					 "M134_2",
					 "M240_veh",
					 "PKT",
					 "PKT_2",
					 "PKT_3"
					];

_states = [];
{
  _attacker   = _x;
  _bombs      = 0;
  _atgms      = 0;
  _shells     = 0;
  _aamissiles = 0;
  comment "aircraft is irrelevant when it cannot move or fire";
  if ( (canMove _attacker) && (canFire _attacker) ) then 
  {
	{ _bombs      = _bombs      + (_attacker ammo _x); } forEach _bomb_launchers;
	{ _atgms      = _atgms      + (_attacker ammo _x); } forEach _rocket_launchers;
	{ _shells     = _shells     + (_attacker ammo _x); } forEach _cannons;
	{ _aamissiles = _aamissiles + (_attacker ammo _x); } forEach _aa_weapons;
  };
  _states = _states + [[_attacker, _bombs, _atgms, _shells, _aamissiles]];	
} forEach _aircraft;


if (_debug == 1) then {player sidechat (format["[%2] exec '%1' done", _script, _aircraft, _states]);};

_states