comment "firesupport_find_area.sqf
	 Returns an 2 element array with indices to access the side and area specific data.
	 The area index is < 0 if no area was found.
	 use: indices = ['WEST', 'AMY'] call firesupport_register_area.sqf
	 William van der Sterren, 2009
	";
private ["_script", "_side", "_area", "_sideix", "_areaix", "_i", "_side_areas"];
_script = "firesupport_find_area.sqf";
_side   = _this select 0;
_area   = _this select 1;

comment "find side in PLAN_firesupport_areas";
_sideix = -1;
for [{_i = 0}, {_i < count PLAN_firesupport_areas}, {_i =_i+1}] do
{
	if (((PLAN_firesupport_areas select _i) select 0) == _side) then { _sideix = _i; };
};

comment "find area PLAN_firesupport_areas for side";
_side_areas = (PLAN_firesupport_areas select _sideix) select 1;
_areaix     = -1;
for [{_i = 0}, {_i < count _side_areas}, {_i =_i+1}] do
{
	if (((_side_areas select _i) select 0) == _area) then { _areaix = _i; };
};

if (PLAN_firesupport_debug == 1) then {player sidechat (format["[%2, %3] exec '%1' = %4", _script, _side, _area, [_sideix, _areaix]]);};
[_sideix, _areaix]