comment "firesupport_manage_area.sqf
	 Continuous script that checks supports requests and directs assets (if available)
	 to handle the request.
	 use: ['WEST', 'AMY'] execVM 'firesupport_manage_area.sqf'
	 William van der Sterren, 2009
	";
private ["_script", "_side", "_area", "_sideix", "_areaix", "_side_data", "_requestix", "_side_areas", "_a", "_findAreaFn", "_initFn", "_popAssetFn", "_popRequestFn", "_registerAssetFn", "_mission_count", "_wpix", "_pos"];
_script   = "firesupport_manage_area.sqf";
_side     = _this select 0;
_area     = _this select 1;

if (PLAN_firesupport_debug == 1) then {player sidechat (format["[%2, %3] exec '%1' - enter", _script, _side, _area]);};

_initFn           = compile loadfile "planned_assault\firesupport\firesupport_init.sqf";
_createAreaFn     = compile loadfile "planned_assault\firesupport\firesupport_create_area.sqf";
_findAreaFn       = compile loadfile "planned_assault\firesupport\firesupport_find_area.sqf";
_popAssetFn       = compile loadfile "planned_assault\firesupport\firesupport_pop_asset.sqf";
_popRequestFn     = compile loadfile "planned_assault\firesupport\firesupport_pop_request.sqf";
_registerAssetFn  = compile loadfile "planned_assault\firesupport\firesupport_register_asset.sqf";

[] call _initFn;
[_side, _area] call _createAreaFn;
_a             = [_side, _area] call _findAreaFn;
_sideix        = _a select 0;
_areaix        = _a select 1;
_mission_count = 0;

sleep 20.5;

comment "loop, and respond to requests";
while { true } do
{
	sleep PLAN_firesupport_response_delay;

	_side_data  = PLAN_firesupport_areas select _sideix;
	_side_areas = _side_data select 1;
	_areadata   = _side_areas select _areaix;

	_assets = _areadata select 1;
	_reqs   = _areadata select 2;
	_time   = _areadata select 3;
	_now    = time;

	comment "check for requests that can be served with assets";
	if ( (_now > _time) && (0 < count _assets) && (0 < count _reqs) ) then
	{
		_asset   = [_side, _area, _now + PLAN_firesupport_mission_spacing] call _popAssetFn;
		_group    = _asset select 1;
		_type     = _asset select 2;

		comment "check for group being still alive";
		if ( objNull != leader _group ) then
		{
			_mission_count = _mission_count + 1;
			_request = [_side, _area] call _popRequestFn;
			if (PLAN_firesupport_debug == 1) then {player sidechat (format ["'%1' - asset %2, request %3", _script, _asset, _request])};	

			_target   = _request select 1;

			comment "launch an asset, and do so in this file in order to use this thread in a blocking fashion";
			if ( _type == "FIXED_WING" ) then
			{
				if (PLAN_firesupport_debug == 1) then {player sidechat (format ["'%1' - launching fixed wing mission group %2 to location %3", _script, _group, _target])};	
				comment "define a marker at target, then exec the CAS script";
				_marker = createMarkerLocal [format["firesupport_%1_%2_%3", _side, _area, _mission_count], _target];
				_marker setMarkerShapeLocal "ICON";
				_marker setMarkerTypeLocal "FireMission";

				_handle = [_group, _marker, 2, "dummy"] execVM "planned_assault\perform_cas.sqf";
				waitUntil {scriptDone _handle};
				if (PLAN_firesupport_debug == 1) then {player sidechat (format ["'%1' - completed fixed wing mission group %2 to location %3", _script, _group, _target])};	
			};
			if ( _type == "ROTARY_WING" ) then
			{
				if (PLAN_firesupport_debug == 1) then {player sidechat (format ["'%1' - launching rotary wing mission group %2 to location %3", _script, _group, _target])};	
				comment "define a marker at target, then exec the CAS script";
				_marker = createMarkerLocal [format["firesupport_%1_%2_%3", _side, _area, _mission_count], _target];
				_marker setMarkerShapeLocal "ICON";
				_marker setMarkerTypeLocal "FireMission";

				_handle = [_group, _marker, 2, "dummy"] execVM "planned_assault\perform_cas.sqf";
				waitUntil {scriptDone _handle};
				if (PLAN_firesupport_debug == 1) then {player sidechat (format ["'%1' - completed rotary wing mission group %2 to location %3", _script, _group, _target])};	
			};
			if ( _type == "ARTILLERY" ) then
			{
				if (PLAN_firesupport_debug == 1) then {player sidechat (format ["'%1' - having battery %2 fire artillery mission at location %3", _script, _group, _target])};	
				_handle = [_group, _target, "HE", "POINT", 10] execVM "planned_assault\artillery_mission.sqf";
				waitUntil {scriptDone _handle};
				if (PLAN_firesupport_debug == 1) then {player sidechat (format ["'%1' - completed battery %2 artillery mission at location %3", _script, _group, _target])};	
			};
			comment "re-register asset";
			[_side, _area, _group, _type] call _registerAssetFn;
		};
	};
};
if (PLAN_firesupport_debug == 1) then {player sidechat (format["[%2, %3] exec '%1' - exit", _script, _side, _area]);};

true
