comment "Interface script for Mandoble's basic_air_support.sqf script, to have CAS";
comment "performed by more than one aircraft simultaneously.";
comment "Recommended use:";
comment "- set up a preceding MOVE waypoint for synchronization and to have aircraft on station";
comment "- use a MOVE waypoint with extActiv='globvar = [grpName, ''marker name'', runs] execVM ''perform_cas.sqf''";
comment "- use a succeeding MOVE waypoint to bring the plane home with expCond='scriptDone globvar'.";
comment "William van der Sterren, 2009";

private ["_debug", "_group", "_marker", "_runs", "_signal", "_vehicles", "_missions", "_mission", "_all_done"];


_group   = _this select 0;
_marker  = _this select 1;
_runs    = _this select 2;
_signal  = _this select 3;
_debug   = 0;
_script  = "perform_cas.sqf";

if (_debug == 1) then {player sidechat (format ["[%2, %3, %4, %5] exec '%1' - started", _script, _group, _marker, _runs, _signal])};

comment "determine vehicles";
_vehicles = [];
{
	_vehicle = vehicle _x;
	if ((_vehicle != _x) && (_x == driver (_vehicle))) then
	{
		_vehicles = _vehicles + [_vehicle];
	};
} forEach units _group;

comment "send each vehicle on a CAS mission";
_missions = [];
{
	_mission = [markerPos _marker, _x, side _x, _runs, false] execVM "mando_bombs\Mando_basic_airsupport.sqf";
	_missions = _missions + [_mission];
} forEach _vehicles;

comment "wait for all vehicles to be done with their airsupport";
_all_done = false;
while { !_all_done } do
{
	sleep 5;
	_all_done = true;
	{
		_all_done = _all_done && (scriptDone _x);
	} forEach _missions;
};

if (_debug == 1) then {player sidechat (format ["script '%1': mission completed", _script])};

exit;