comment "tasksupport_declare_task.sqf
	 Creates the task, adds it to the unit's task list and adds it to the lists of tasks.
	 use: [group, 'taskname', taskparams] call tasksupport_declare_task.sqf
     ex: [grpBravo, 'tsk_Load_Alpha_000', ['Load Alpha', 'Meet up with Alpha infantry and load them aboard your vehicles', [6342.5, 353.4, 9116.5]]] call _tskdecl; 
	 William van der Sterren, 2009
	";
private ["_script", "_group", "_taskname", "_taskparams", "_a", "_tasks", "_declix", "_findGroupTasksFn"];
_script = "tasksupport_declare_task.sqf";
_group  = _this select 0;
_taskname   = _this select 1;
_taskparams = _this select 2;

if (PLAN_tasksupport_debug == 1) then {player sidechat (format["[%2, %3, %4] exec '%1' - enter", _group, _taskname, _taskparams]);};

_findGroupTasksFn = compile loadfile "planned_assault\tasksupport\tasksupport_find_group_tasks.sqf";
_a                = [_group] call _findGroupTasksFn;
_declix           = _a select 0;

comment "append _tasks with new task, then set the updated task as the contents for PLAN_tasksupport_tasks";
if ( _declix < 0 ) then
{
    PLAN_tasksupport_tasks = PLAN_tasksupport_tasks + [[_group, [[_taskname, _taskparams]]]];
    _declix = 0;
}
else
{
    _tasks = (_a select 1) + [[_taskname, _taskparams]];
    PLAN_tasksupport_tasks set [_declix, [_group, _tasks]];
};

if (PLAN_tasksupport_debug == 1) then {player sidechat (format["[...] exec '%1' - updated to '%2'", _script, PLAN_tasksupport_tasks]);};

true