comment "tasksupport_find_group_tasks.sqf
	 Returns an 2 element array with the index and tasks for the group's tasks.
     The index is < 0 if no tasks were found for the group.
	 use: indices = ['groupname'] call tasksupport_find_group_tasks.sqf
	 William van der Sterren, 2009
	";
private ["_script", "_groupname", "_ix", "_tasks"];
_script    = "tasksupport_find_group_task.sqf";
_groupname = _this select 0;

if (PLAN_tasksupport_debug == 1) then {player sidechat (format["[%2] exec '%1'", _script, _groupname]);};

comment "find group inside in PLAN_tasksupport_tasks, or otherwise return an empty array"; 
_ix = -1;
for [{_i = 0}, {_i < count PLAN_tasksupport_tasks}, {_i =_i+1}] do
{
	if (((PLAN_tasksupport_tasks select _i) select 0) == _groupname) then { _ix  = _i; };
};
if (_ix >= 0) then
{
    _tasks = (PLAN_tasksupport_tasks select _ix) select 1;
}
else
{
    _tasks = [];
};

if (PLAN_tasksupport_debug == 1) then {player sidechat (format["[%2] exec '%1' = %3", _script, _tasks]);};
[_ix , _tasks]